Bug 159333 - kdm update for new audit system
kdm update for new audit system
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdebase (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: FutureFeature
Depends On:
Blocks: 113381 156322
  Show dependency treegraph
Reported: 2005-06-01 14:21 EDT by Steve Grubb
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-522
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 10:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2005-06-01 14:21:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The kdm login program needs to update its pam configuration for the new audit system. It needs the following line added:

session    required     pam_loginuid.so

The Requires line will need to be set for the version of pam that includes the pam_loginuid module.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. new functionality

Additional info:
Comment 1 Steve Grubb 2005-06-01 14:22:25 EDT
* the same modification can be made to rawhide. In that case, pam-0.79-6 and
later  have the loginuid module.
Comment 2 Ngo Than 2005-06-08 11:11:04 EDT
it's already added into kdebase in the rawhide.
Comment 4 Ngo Than 2005-06-09 04:50:46 EDT
i need the pam version for RHEL4-U2 to require correct version.
Comment 6 Ngo Than 2005-06-13 09:56:48 EDT
it's now fixed in kdebase-3.3.1-5.8.
Comment 7 Steve Grubb 2005-06-17 09:04:23 EDT
Just an update. Pam is finalized for RHEL4-U2. This package probably should have:

Requires: pam >= 0.77-66.8

Comment 9 Ben Levenson 2005-09-13 20:39:27 EDT
fix verified in 3.3.1-5.8. 
Comment 11 Red Hat Bugzilla 2005-10-05 10:35:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.